libzypp 17.37.10

zypp::ui::asSelectable Struct Reference

Solvable to Selectable transform functor. More...

`#include <zypp/ui/Selectable.h>`

## Public Types
using | result_type = Selectable_Ptr

## Public Member Functions
Selectable_Ptr | operator() (const sat::Solvable &solv_r) const
Selectable_Ptr | operator() (const PoolItem &pi_r) const

## Detailed Description

Solvable to Selectable transform functor.

Definition at line 586 of file Selectable.h.

## Member Typedef Documentation

## ◆ result_type

using zypp::ui::asSelectable::result_type = Selectable_Ptr

Definition at line 588 of file Selectable.h.

## Member Function Documentation

## ◆ operator()() [1/2]

Selectable_Ptr zypp::ui::asSelectable::operator() | ( | const sat::Solvable & | solv_r | ) | const

Definition at line 59 of file SolvIterMixin.cc.

## ◆ operator()() [2/2]

Selectable_Ptr zypp::ui::asSelectable::operator() | ( | const PoolItem & | pi_r | ) | const
| inline

Definition at line 592 of file Selectable.h.

The documentation for this struct was generated from the following files:

- zypp/ui/Selectable.h
- zypp/sat/SolvIterMixin.cc